# Unload Wallet

Users can withdraw funds from their wallet account to their linked bank and card accounts. To do so, “type” must be specified as “UNLOAD” for unload transfers.

**`POST /users/{{userId}}/funds/{{wallet_id}}/transfers`**

{% hint style="info" %}
Supports Idempotency Key as part of header to avoid duplicate transaction. If you are creating a transaction with the same request and the same idempotency key again, the endpoint will consider this a duplicate request. It will not create a new transaction but will instead provide details of the initial transaction in the response. ​&#x20;

**Response:**&#x20;

200 if a transaction is successfully created or transaction with the same idempotency key and request was created earlier&#x20;

400 if the idempotency key is greater than 255 char&#x20;

409 if the idempotency key is the same but the request is different
{% endhint %}

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location -g --request POST '{{url}}/users/{{userId}}/funds/{{wallet_id}}/transfers' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret:{{client_secret}} ' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: idempotencykey' \
--data-raw {
    "amount": 5,
    "fee_amount": 0,
    "note": "Sample Note",
    "currency": "USD",
    "ip_address": "10.10.10.5",
    "type": "UNLOAD",
    "to": {
        "fund_id": "ad82cebb-9ca3-4f2a-a1de-27f004b838bd"
    }
}
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
    "amount": 5,
    "currency": "USD",
    "fee_amount": 0,
    "from_fund_id": "ad82cebb-9ca3-4f2a-a1de-27f004b838bd",
    "id": "b3747713-b79f-412c-be42-3e2bf90e5c11",
    "ip_address": "10.10.10.5",
    "note": "Sample Note",
    "status": "INITIATED",
    "to": {
        "fund_id": "bbee9d73-35d8-4ac0-8862-01bb89e6cadc",
        "id": "3e626447-cc80-4cd0-89e7-19001f939ee4"
    },
    "type": "UNLOAD",
    "user_id": "3e626447-cc80-4cd0-89e7-19001f939ee4"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/transaction-wallet/create-transfers/unload-wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
